
function [ timespan, vel ] = motorStepResponse( motorStruct, timestep, maxtime )
% [ timespan, vel ] = motorStepResponse( motorStruct, timestep, maxtime )
%
%  Feeds a unit step function into the motor given by the
%  motorStruct for the given amount of time.
%
%  See also motorConstructor, motorSetVoltage, and motorPID 

  timespan = [ 0 : timestep : maxtime ];

  k = 1;
  for i = timespan
    motorStruct = motorSetVoltage( motorStruct, timestep, 1 );
    vel(k) = motorStruct.vel;
    k = k + 1;
  end  
