
function [ timespan, velL, velR ] = robotPID( seed, timestep, maxtime, Kp, Ki, Kd )
% [ timespan, velL, velR ] = robotPID( seed, timestep, maxtime, Kp, Ki, Kd )
%
%  Determine the motor velocities over timefor a differential
%  drive robot which includes two independent PID control loops -
%  one for each drive motor. The seed initializes the randomization
%  of the motor parameters.
%
%  See also plotRobotTrajectory

  rand('state',seed);
  randn('state',seed);  

  motorL = motorConstructor( 'rand' );
  motorR = motorConstructor( 'rand' );

  [ timespan, velL ] = motorPID( motorL, timestep, maxtime, Kp, Ki, Kd );
  [ timespan, velR ] = motorPID( motorR, timestep, maxtime, Kp, Ki, Kd );

