function [timespan, velL, velR, theta ]= robotgyro( seed, timestep, maxtime, Kp, Ki, Kd)

%Construct both motors
  rand('state',seed);
  randn('state',seed);  

  motorL = motorConstructor( 'rand' );
  motorR = motorConstructor( 'rand' );
    
  timespan = [ 0 : timestep : maxtime ];

  thetaDesired =0;
  SP = 9;

  prevError = 0;
  errorSum = 0;
  theta(1) = 0;
  setVelL = SP;       %Going at maximum speed
  setVelR = SP; 
  k = 1;
  for i = timespan

    motorL = motorSetVoltage( motorL, timestep, setVelL );
    motorR = motorSetVoltage( motorR, timestep, setVelR );

    velL(k) = motorL.vel;
    velR(k) = motorR.vel;
    
    theta = cumsum( velL - velR ) .* [0:timestep:i];
    
    error    = thetaDesired - theta(k);
    errorSum  = errorSum + error;
    errorInt  = errorSum*i;
    errorDiff = (prevError - error)/timestep;
    
    setVelL = SP + Kp*error + Ki*errorInt - Kd*errorDiff;
    setVelR = SP;
    %setVelR = SP - Kp2*error - Ki2*errorInt + Kd2*errorDiff;
    
    prevError = error;
    k = k + 1;

  end  